<?php

namespace Modules\Gallery\Interfaces;

use Modules\Gallery\Models\Gallery;

interface GalleryRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Gallery;
    public function update(array $request, Gallery $gallery): Gallery;
    public function destroy(Gallery $gallery): void;
    public function destroyAll(array $ids): void;
    public function restore(Gallery $gallery): void;
    public function restoreAll(array $ids): void;
}
